#-------------------------------------------------------------------------------
# Copyright 2008-2011 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name: wnodes_cachemanager
Version: 2.0.1
Release: 3%{?dist}
License: EUPL
URL:     http://web.infn.it/wnodes/
Group: INFN CNAF
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Vendor: INFN CNAF
Packager: gianni dalla torre dallatorre@cnaf.infn.it
Summary: INFN CNAF WNODES CACHEMANAGER

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: wnodes_utils
Requires: pyOpenSSL
Requires: mysql
Requires: mysql-server
Requires: MySQL-python
Requires: python-sqlalchemy0.7
%description
It contains cachemanager of WNODES

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash auto.sh
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --bindir=/usr/bin --exec_prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/wnodes/cachemanager

%post
# restart server if this is an upgrade
if [ "$1" = "1" ] ; then
  echo 'adding service to chkconfig'
  /sbin/chkconfig --add %{name}
fi;
if [ "$1" = "2" ] ; then
  echo "The WNoDeS cachemanager has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%preun 
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "0" ] ; then
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  echo 'del service from chkconfig'
  /sbin/chkconfig --del %{name}
fi;
if [ "$1" = "1" ] ; then
  echo "The WNoDeS cachemanager server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%postun
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "1" ] ; then
  echo "The WNoDeS cachemanager server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;
if [ "$1" = "0" ] ; then
  echo 'remove old file'
  rm -f /etc/init.d/%{name}.*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{_sysconfdir}/init.d/%{name}

%dir %{_sysconfdir}/wnodes/cachemanager
%config(noreplace) %{_sysconfdir}/wnodes/cachemanager/wnodes_cm_config.ini

%{_bindir}/wnodes_cachemanager

%defattr(-, root, root, 0755)
%dir %{python_sitearch}/wnodes/cachemanager
%{python_sitearch}/wnodes/cachemanager/__init__.py
%{python_sitearch}/wnodes/cachemanager/__init__.pyc
%{python_sitearch}/wnodes/cachemanager/__init__.pyo
%{python_sitearch}/wnodes/cachemanager/cachemanager.py
%{python_sitearch}/wnodes/cachemanager/cachemanager.pyc
%{python_sitearch}/wnodes/cachemanager/cachemanager.pyo
%dir %{python_sitearch}/wnodes/cachemanager/conf
%{python_sitearch}/wnodes/cachemanager/conf/__init__.py
%{python_sitearch}/wnodes/cachemanager/conf/__init__.pyc
%{python_sitearch}/wnodes/cachemanager/conf/__init__.pyo
%{python_sitearch}/wnodes/cachemanager/conf/parser_option.py
%{python_sitearch}/wnodes/cachemanager/conf/parser_option.pyc
%{python_sitearch}/wnodes/cachemanager/conf/parser_option.pyo
%dir %{python_sitearch}/wnodes/cachemanager/database
%{python_sitearch}/wnodes/cachemanager/database/__init__.py
%{python_sitearch}/wnodes/cachemanager/database/__init__.pyc
%{python_sitearch}/wnodes/cachemanager/database/__init__.pyo
%{python_sitearch}/wnodes/cachemanager/database/database.py
%{python_sitearch}/wnodes/cachemanager/database/database.pyc
%{python_sitearch}/wnodes/cachemanager/database/database.pyo
%{python_sitearch}/wnodes/cachemanager/database/db_interface.py
%{python_sitearch}/wnodes/cachemanager/database/db_interface.pyc
%{python_sitearch}/wnodes/cachemanager/database/db_interface.pyo
%dir %{_localstatedir}/log/wnodes/cachemanager

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Wed Mar 14 2012 Gianni Dalla Torre
- Added cachemanager/parser_option.py


* Thu Jul 26 2011 Gianni Dalla Torre
- Changed the managing of spec file
